# Generated by Django 2.0.1 on 2018-02-01 20:24

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('demands', '0012_auto_20180201_1144'),
    ]

    operations = [
        migrations.CreateModel(
            name='SpecialStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('PR', 'Président'), ('TR', 'Trésorier'), ('VO', 'Lecture seule (non implémenté)')], max_length=3, verbose_name='type')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='special_statuses', to=settings.AUTH_USER_MODEL, verbose_name='utilisateur')),
            ],
            options={
                'verbose_name': 'statut spécial',
                'verbose_name_plural': 'statuts spéciaux',
            },
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('members', models.ManyToManyField(related_name='teams', to=settings.AUTH_USER_MODEL)),
                ('resp', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='teams_resp', to=settings.AUTH_USER_MODEL, verbose_name='responsable')),
            ],
            options={
                'verbose_name': 'équipe',
                'verbose_name_plural': 'équipes',
            },
        ),
        migrations.RemoveField(
            model_name='requestforapproval',
            name='application',
        ),
        migrations.RemoveField(
            model_name='requestforapproval',
            name='creator',
        ),
        migrations.RemoveField(
            model_name='requestforapproval',
            name='target',
        ),
        migrations.RemoveField(
            model_name='requestforapproval',
            name='type',
        ),
        migrations.RemoveField(
            model_name='requestforapprovaltype',
            name='default_target',
        ),
        migrations.RemoveField(
            model_name='applicationtype',
            name='default_requests_for_approval',
        ),
        migrations.AddField(
            model_name='application',
            name='validation_prez',
            field=models.BooleanField(default=False, verbose_name='validation président'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_prez_updated_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='validation président modifié à'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_prez_updated_by',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='applications_validation_prez', to=settings.AUTH_USER_MODEL, verbose_name='validation président modifié par'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_resp',
            field=models.BooleanField(default=False, verbose_name='validation responsable'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_resp_updated_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='validation responsable modifié à'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_resp_updated_by',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='applications_validation_resp', to=settings.AUTH_USER_MODEL, verbose_name='validation responsable modifié par'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_trez',
            field=models.BooleanField(default=False, verbose_name='validation trésorier'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_trez_updated_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='validation trésorier modifié à'),
        ),
        migrations.AddField(
            model_name='application',
            name='validation_trez_updated_by',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='applications_validation_trez', to=settings.AUTH_USER_MODEL, verbose_name='validation trésorier modifié par'),
        ),
        migrations.DeleteModel(
            name='RequestForApproval',
        ),
        migrations.DeleteModel(
            name='RequestForApprovalType',
        ),
    ]
